## gdk-imlib 1.3-3

=== debian/changelog ===
gdk-imlib (1.3-3) frozen unstable; urgency=low

  * Left save.c out of the libs -- oops (-:

 -- Sean E. Perry <shaleh@debian.org>  Thu,  7 May 1998 20:22:01 -0400

gdk-imlib (1.3-2) unstable; urgency=low

  * Fixed shlibs -- again
  * moved non-free to contrib; I misunderstood the distinction

 -- Sean E. Perry <shaleh@debian.org>  Sun, 26 Apr 1998 23:19:11 -0400

gdk-imlib (1.3-1) frozen unstable; urgency=low

  * no more alloca() (-:
  * new upstream release

 -- Sean E. Perry <shaleh@debian.org>  Thu, 23 Apr 1998 02:44:16 -0400

gdk-imlib (1.2-2) frozen unstable; urgency=low

  * fixed soname so it will not require any more recompiles

 -- Sean E. Perry <shaleh@debian.org>  Wed, 22 Apr 1998 02:46:57 -0400

gdk-imlib (1.2-1) frozen unstable; urgency=low

  * New upstream version

 -- Sean E. Perry <shaleh@debian.org>  Mon, 20 Apr 1998 22:06:47 -0400

gdk-imlib (1.1-6) frozen unstable; urgency=low

  * Fixed the symlinks to lib.so.x -- was done in the wrong package

 -- Sean E. Perry <shaleh@debian.org>  Wed, 15 Apr 1998 00:23:15 -0400

gdk-imlib (1.1-5) frozen unstable; urgency=low

  * Compiled against libpng0 because the imlib using apps expect this

 -- Sean E. Perry <shaleh@debian.org>  Tue, 14 Apr 1998 02:18:43 -0400

gdk-imlib (1.1-4) frozen unstable; urgency=low

  * fixed a problem w/ soname not being set
  * fixed a problem/bug with libs having exec perms

 -- Sean E. Perry <shaleh@debian.org>  Tue, 24 Mar 1998 23:49:38 -0500

gdk-imlib (1.1-3) frozen unstable; urgency=low

  * some package bug fixes

 -- Sean E. Perry <shaleh@debian.org>  Tue, 24 Mar 1998 23:45:43 -0500

gdk-imlib (1.1-2) frozen unstable; urgency=low

  * Official maintainer release

 -- Sean E. Perry <shaleh@debian.org>  Tue, 24 Mar 1998 23:42:05 -0500

gdk-imlib (1.1-1) unstable; urgency=low

  * Initial Release(Non-maintainer release until the maintainer has time
    to do it himself.

 -- Luis Francisco Gonzalez <luisgh@debian.org>  Thu, 12 Mar 1998 01:57:34 -0500

Local variables:
mode: debian-changelog
add-log-mailing-address: "shaleh@debian.org"
End:
