=== debian/control ===
Source: gdk-imlib
Section: graphics
Priority: optional
Maintainer: Shaleh <shaleh@debian.org>
Standards-Version: 2.3.0.1

Package: gdk-imlib1
Architecture: any
Depends: imlib-base, imagemagick, ${shlibs:Depends}
Provides: gdk-imlib
Conflicts: gdk-imlib-nonfree1
Replaces: gdk-imlib-nonfree1
Description: image drawing complement to gdk with gif support
 gdk_imlib is Rasterman's imlib library meshed with gdk. This allows low-level
 graphics access.

Package: gdk-imlib-dev
Architecture: any
Depends: gdk-imlib, imlib-base, ${shlibs:Depends}
Provides: gdk-imlib-development
Replaces: gdk-imlib-nonfree-dev
Conflicts: gdk-imlib-nonfree-dev
Description: Headers to compile programs with gdk_imlib
 Provides the necessary files to compile applications that need
 gdk_imlib and the static library without gif support.

Package: gdk-imlib-nonfree1
Section: contrib/graphics
Architecture: any
Depends: imlib-base, ${shlibs:Depends}
Provides: gdk-imlib
Conflicts: gdk-imlib1
Replaces: gdk-imlib1
Description: image drawing complement to gdk with gif support
 gdk_imlib is Rasterman's imlib library meshed with gdk. This allows low-level
 graphics access. This library has support for GIF.

Package: gdk-imlib-nonfree-dev
Architecture: any
Section: contrib/graphics
Depends: gdk-imlib, imlib-base, ${shlibs:Depends}
Provides: gdk-imlib-development
Replaces: gdk-imlib-dev
Conflicts: gdk-imlib-dev
Description: Headers to compile programs with gdk_imlib
 Provides the necessary files to compile applications that need
 gdk_imlib and the static library without gif support.
